summaryrefslogtreecommitdiffstats
path: root/games/jg-jollycv
diff options
context:
space:
mode:
author B. Watson <urchlay@slackware.uk>2023-01-22 10:32:36 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-01-28 08:22:58 +0700
commit9fa4262e61217eae52d98f573fa7fb96901b9c60 (patch)
tree79b7c67a054fce7c0e580ca0c87650592eb0f1ce /games/jg-jollycv
parent05aa349bb5960b27bb186cd007742943ea27e31e (diff)
downloadslackbuilds-9fa4262e61217eae52d98f573fa7fb96901b9c60.tar.gz
slackbuilds-9fa4262e61217eae52d98f573fa7fb96901b9c60.tar.xz
games/jg-jollycv: Added (ColecoVision emu core for Jolly Good Emu)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/jg-jollycv')
-rw-r--r--games/jg-jollycv/README24
-rw-r--r--games/jg-jollycv/jg-jollycv.SlackBuild80
-rw-r--r--games/jg-jollycv/jg-jollycv.info10
-rw-r--r--games/jg-jollycv/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/games/jg-jollycv/README b/games/jg-jollycv/README
new file mode 100644
index 0000000000..847c2a35d0
--- /dev/null
+++ b/games/jg-jollycv/README
@@ -0,0 +1,24 @@
+jg-jollycv (ColecoVision emulation core for Jolly Good Emulation)
+
+JollyCV is a highly accurate emulator for the ColecoVision, including
+support for the Super Game Module.
+
+JollyCV was the first emulator written specifically for The Jolly
+Good API. It is designed to document the ColecoVision for educational
+purposes through verbose comments, and high quality emulation. The
+ColecoVision is the perfect console to use to demonstrate how computer
+systems and emulators function because it is very simple and uses
+generic, off-the-shelf chips with widely available datasheets.
+
+Filenames supported: .col .rom
+To run files with other extensions: jollygood -c jollycv <filename>
+
+By default, no controls are mapped. The first time you run a game,
+press Shift-1 to configure the first controller.
+
+You'll need the ColecoVision BIOS ROM image (coleco.rom),
+available on the standard ROM dump sites on the Web, or in the
+clksignal-roms build from SlackBuilds.org. Copy coleco.rom to
+"~/.local/share/jollygood/bios/coleco.rom". There are several variant
+ROM images, all 8192 bytes in size. The most common one has an md5sum
+of 2c66f5911e5b42b8ebe113403548eee7.
diff --git a/games/jg-jollycv/jg-jollycv.SlackBuild b/games/jg-jollycv/jg-jollycv.SlackBuild
new file mode 100644
index 0000000000..d4f4232fce
--- /dev/null
+++ b/games/jg-jollycv/jg-jollycv.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/bash
+
+# Slackware build script for jollycv
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=jg-jollycv
+SRCNAM=jollycv
+VERSION=${VERSION:-1.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+LIBDIR=/usr/lib$LIBDIRSUFFIX
+PKGLIB=$PKG/$LIBDIR
+DOCDIR=/usr/doc/$PRGNAM-$VERSION
+PKGDOC=$PKG/$DOCDIR
+
+make install-strip \
+ CFLAGS="$SLKCFLAGS" \
+ DESTDIR=$PKG \
+ PREFIX=/usr \
+ DATAROOTDIR=/usr/share \
+ DOCDIR=$DOCDIR \
+ LIBDIR=$LIBDIR
+
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/jg-jollycv/jg-jollycv.info b/games/jg-jollycv/jg-jollycv.info
new file mode 100644
index 0000000000..df23fb9c44
--- /dev/null
+++ b/games/jg-jollycv/jg-jollycv.info
@@ -0,0 +1,10 @@
+PRGNAM="jg-jollycv"
+VERSION="1.0.1"
+HOMEPAGE="https://jgemu.gitlab.io/"
+DOWNLOAD="https://gitlab.com/jgemu/jollycv/-/archive/1.0.1/jollycv-1.0.1.tar.gz"
+MD5SUM="62ee90b6cdd8dd7b05d436a64da908fd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jollygood"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/games/jg-jollycv/slack-desc b/games/jg-jollycv/slack-desc
new file mode 100644
index 0000000000..17896fb873
--- /dev/null
+++ b/games/jg-jollycv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jg-jollycv: jg-jollycv (ColecoVision emulation core for Jolly Good Emulation)
+jg-jollycv:
+jg-jollycv: JollyCV is a highly accurate emulator for the ColecoVision, including
+jg-jollycv: support for the Super Game Module.
+jg-jollycv:
+jg-jollycv: JollyCV was the first emulator written specifically for The Jolly
+jg-jollycv: Good API. It is designed to document the ColecoVision for educational
+jg-jollycv: purposes through verbose comments, and high quality emulation. The
+jg-jollycv: ColecoVision is the perfect console to use to demonstrate how computer
+jg-jollycv: systems and emulators function because it is very simple and uses
+jg-jollycv: generic, off-the-shelf chips with widely available datasheets.